import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		ibizappctrlname: commonLogic.appcommonhandle("应用部件名称",null),
		ibizappctrlid: commonLogic.appcommonhandle("应用部件标识",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
		createman: commonLogic.appcommonhandle("建立人",null),
		updateman: commonLogic.appcommonhandle("更新人",null),
		ibizappctrltype: commonLogic.appcommonhandle("应用部件类型",null),
		ctrldescription: commonLogic.appcommonhandle("部件描述",null),
		documentaddress: commonLogic.appcommonhandle("文档地址",null),
		amount: commonLogic.appcommonhandle("数量",null),
	},
		views: {
			editview: {
				caption: commonLogic.appcommonhandle("应用部件",null),
				title: commonLogic.appcommonhandle("应用部件编辑视图",null),
			},
			listview: {
				caption: commonLogic.appcommonhandle("应用部件",null),
				title: commonLogic.appcommonhandle("应用部件列表视图",null),
			},
			gridview: {
				caption: commonLogic.appcommonhandle("应用部件",null),
				title: commonLogic.appcommonhandle("应用部件表格视图",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("应用部件基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				group2: commonLogic.appcommonhandle("操作信息",null), 
				formpage2: commonLogic.appcommonhandle("其它",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("应用部件标识",null), 
				srfmajortext: commonLogic.appcommonhandle("应用部件名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizappctrlid: commonLogic.appcommonhandle("应用部件标识",null), 
				amount: commonLogic.appcommonhandle("数量",null), 
				ibizappctrlname: commonLogic.appcommonhandle("应用部件名称",null), 
				ibizappctrltype: commonLogic.appcommonhandle("应用部件类型",null), 
				documentaddress: commonLogic.appcommonhandle("文档地址",null), 
				ctrldescription: commonLogic.appcommonhandle("部件描述",null), 
				createman: commonLogic.appcommonhandle("建立人",null), 
				createdate: commonLogic.appcommonhandle("建立时间",null), 
				updateman: commonLogic.appcommonhandle("更新人",null), 
				updatedate: commonLogic.appcommonhandle("更新时间",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				ibizappctrlname: commonLogic.appcommonhandle("应用部件名称",null),
				ibizappctrltype: commonLogic.appcommonhandle("应用部件类型",null),
				documentaddress: commonLogic.appcommonhandle("文档地址",null),
				ctrldescription: commonLogic.appcommonhandle("部件描述",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		ctrlamount_list: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		ctrllist_list: {
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			ibizappctrl_opendocument: commonLogic.appcommonhandle("打开文档",null),
			},
		},
		ctrlchart_chart: {
			nodata:commonLogic.appcommonhandle("",null),
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
			},
			uiactions: {
			},
		},
		editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("Save",null),
				tip: commonLogic.appcommonhandle("Save",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("Save And Close",null),
				tip: commonLogic.appcommonhandle("Save And Close Window",null),
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("New",null),
				tip: commonLogic.appcommonhandle("New",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("Edit",null),
				tip: commonLogic.appcommonhandle("Edit {0}",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("刷新",null),
				tip: commonLogic.appcommonhandle("刷新",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("Copy",null),
				tip: commonLogic.appcommonhandle("Copy {0}",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("Remove",null),
				tip: commonLogic.appcommonhandle("Remove {0}",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("Export",null),
				tip: commonLogic.appcommonhandle("Export {0} Data To Excel",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("Export Data Model",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		listviewtoolbar_toolbar: {
		},
	};
	return data;
}

export default getLocaleResourceBase;